/*
 * Copyright 2010-2011 Ning, Inc.
 *
 * Ning licenses this file to you under the Apache License, version 2.0
 * (the "License"); you may not use this file except in compliance with the
 * License.  You may obtain a copy of the License at:
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
 * License for the specific language governing permissions and limitations
 * under the License.
 */

package com.ning.billing.account.dao;

import com.ning.billing.account.api.IAccount;
import com.ning.billing.account.api.IAccountData;

import java.util.List;
import java.util.UUID;

public interface IAccountDao {

    public IAccount createAccount(IAccountData account);

    public IAccount getAccountById(UUID uid);

    public IAccount getAccountByKey(String key);

    public List<IAccount> getAccounts();

    public void test();

    public void save(IAccount account);
}
